Skip to main content

Stop Transaction

A Stop Transaction call is used only for CHECK transactions that have already reached one of these statuses:

  • PROCESSING
  • IN_DELIVERY
  • DELIVERED

Once stopped, the check will no longer be processed or paid.


Resource Access

Production (api.ahrvo.network)

POST https://api.ahrvo.network/banking/us2/v1/transaction/id/{transactionId}/stop

Staging (gateway.ahrvo.network)

POST https://gateway.ahrvo.network/banking/us2/v1/transaction/id/{transactionId}/stop

Request Body Parameters

AttributeRequiredNotes
reasonYesStopping reason (LOST_CHECK, FRAUD, INCORRECT_AMOUNT, INCORRECTLY_CREATED, ON_USER_REQUEST, OTHERS, …)
commentYes — when reason = OTHERSFree-form explanation

Sample Request — Stop a Check Transaction
POST /banking/us2/v1/transaction/id/{id}/stop HTTP/1.1
Host: {hostname}
Authorization: Bearer {JWT token}
x-api-key: {apiKey}
Content-Type: application/json
{
"reason": "INCORRECTLY_CREATED",
"comment": "{comment}"
}

Sample Response
HTTP/1.1 204 No Content